Bug 996785 - umount -a causes root file system to become read-only
umount -a causes root file system to become read-only
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 19:43 EDT by Scott Mikusko
Modified: 2015-08-25 09:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 09:05:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Mikusko 2013-08-13 19:43:38 EDT
Description of problem: 

When doing an umount -a to umount all non-busy file systems in /etc/fstab, the / file system flips to read-only. Command may not actually unmount the file systems.  mount -n -o remount.rw / will get the file system back to read-write, but mtab won't update and df -k will not show the mounted file systems that /etc/fstab has configured.

The other local disk file systems (/opt, /var, /boot, /usr) are unaffected.


Version-Release number of selected component (if applicable):
RHEL 6.1, mount from util-linux-ng 2.17.2


How reproducible:
Two servers running the same OS, versions, and config show the same problem:
umount -a, / flips to RO, mount -a says the file systems are already mounted, df -k doesn't show the mounted file systems from /etc/ftab apart from the local OS disks.


Steps to Reproduce:
1.  verify /etc/fstab /etc/mtab, df -k to see all mounted file systems
2.  umount -a  ; umounts unused filesystems (NFS mounts, local disk not held up by processes
3.  touch /etc/file, can't / has become read-only

Actual results:
/ read-only


Expected results:

expect / to stay read-write, all the file systems in /etc/fstab should remount with mount -a.  df -k should show all the mounted file systems

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:44:49 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Karel Zak 2015-08-25 09:05:31 EDT
The "umount -a" works as expected. It's designed for shutdown and remount root fs read-only is expected feature. 

Note that RHEL7 umount provides -R,--recursive option to umount hierarchy of filesystem. It seems better solution than call umount -a.

Note You need to log in before you can comment on or make changes to this bug.